﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.DRCoffee
{
    /// <summary>
    /// 通信指令
    /// </summary>
    public enum DrCoffeeCommCmd : byte
    {
        无指令 = 0x00,
        饮品制作指令 = 0x01,
        冲煮系统快速冲洗指令 = 0x02,
        牛奶系统快速冲洗指令 = 0x03,
        粉料系统快速冲洗指令 = 0x04,
        冲煮系统清洁指令 = 0x05,
        冲煮系统清洗指令 = 0x06,
        牛奶系统清洗指令 = 0x07,
        除垢指令 = 0x08,
        清空系统指令 = 0x09,
        系统补水指令 = 0x0A,
        冲泡器复位指令 = 0x0B,
        分相阀复位指令 = 0x0C,
        研磨效验指令 = 0x0D,
        粉料效验指令 = 0x0E,
        握手指令 = 0x0F,
        询问状态指令 = 0x10,
        取消应用指令 = 0x11,
        设置参数指令 = 0x12,
        更新程序指令 = 0x13,
        功能测试指令 = 0x14,
        开机指令 = 0x15,
        关机指令 = 0x16,
        一键清洗指令 = 0x17,
        蒸汽杆快速冲洗指令 = 0x18,
        蒸汽制作指令 = 0x19,
        滤芯快速冲洗指令 = 0x1A,
        牛奶系统强制冲洗指令 = 0x1B,
    }
}
