﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using static BPASmartClient.GSIceCream.MessageDefine;

namespace BPASmartClient.GSIceCream
{
    [StructLayoutAttribute(LayoutKind.Sequential, CharSet = CharSet.Ansi, Pack = 1)]
    public class ICMSG_Heart_DW
    {
        public byte Header1;
        public byte Header2;
        public IC_CMD Cmd;
        public MORKI_MODE Mode;
        public byte CalcCode1 ;
        public byte CalcCode2 ;

        public ICMSG_Heart_DW()
        {
            Header1 = MessageDefine.HEADER1;
            Header2 = MessageDefine.HEADER2_DW;
            Cmd = IC_CMD.HEART;
            Mode = MORKI_MODE.未知;
            CalcCode1 = 0x00;
            CalcCode2 = 0x09;

        }
    }
}
