﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.GSIceCream
{
    public class MessageDefine
    {
        /// <summary>
        /// 帧头1
        /// </summary>
        public static byte HEADER1 = 0xAA;
        /// <summary>
        /// 帧头2
        /// </summary>
        public static byte HEADER2_DW = 0xA5;
        public static byte HEADER2_UP = 0x5A;

        public enum IC_CMD : byte
        {
            HEART = 0x09,
            MODE=0x01,
        }

        public enum ICMSG_TYPE : byte
        {
            UP = 0x5A,
            DOWN = 0xA5,
        }


        

        public static Dictionary<IC_CMD, int> MSG_LENGTH = new Dictionary<IC_CMD, int>() {
            { IC_CMD.HEART,18},
            { IC_CMD.MODE,2},
        };

    }

    public enum MSG_RESOLVE_STEP
    {
        NONE,
        HEADER1,
        HEADER2,
        CMD,
        CONTENT,
        VALIDATE1,
        VALIDATE2
    }
}



